Peppermint OS Community Forum

Support => New Users => Topic started by: fred. just fred on September 08, 2019, 10:03:54 pm

Title: Which Peppermint Under VirtualBox 4.3.40? [ABANDONED]
Post by: fred. just fred on September 08, 2019, 10:03:54 pm
I won't bore you with the reasons, suffice it to say that I'm trying to engineer an old MacBook running Snow Leopard (10.6.8 ) by adding a Peppermint virtual machine.  I need to stick with Snow Leopard, and it appears the last version of VirtualBox to run under it is 4.3.40.  I've been trying to add both 32-bit and 64-bit versions of Peppermint 10, but even though I can get a VM running, I can't add the VirtualBox Guest Additions; the process errors out claiming it can't find the kernel headers for the latest version of the guest OS, yet they are there.  I need the shared folders, and without the Guest Additions, no go.

So, I'm guessing I need to get into a time machine and locate a version that was current when VirtualBox 4 was shipping.  Can anyone point me in the right direction? 
Title: Re: Which Peppermint Under VirtualBox 4.3.40? [ABANDONED]
Post by: fred. just fred on September 10, 2019, 03:53:59 pm
I went all the way back to Peppermint One and Two and still couldn't get the VirtualBox Guest Additions to install.  After trying various distros with the same result, it appears Mac OS X Snow Leopard (10.6.8 ) isn't the best OS to try this stuff with.  I'm making a clone of my hard disk and will then upgrade to the latest version my hardward supports (10.13 - High Sierra).  I should then at least have the ability to run more modern virtualization software and Linux distro at the expense of not running older Mac software.

If I successfully clone my HFS+ volume to a bootable drive, I may re-partition the hard drive and see if I can't run a multiboot Mac.  Snow Leopard on one partition and High Sierra on another.  But that's a topic for a different board...